Repository: storm
Updated Branches:
  refs/heads/1.x-branch cd4f9175f -> 31dc9206d


Try fixing travis build by explicitly setting dist and updating integration 
test Zookeeper version


Project: http://git-wip-us.apache.org/repos/asf/storm/repo
Commit: http://git-wip-us.apache.org/repos/asf/storm/commit/31dc9206
Tree: http://git-wip-us.apache.org/repos/asf/storm/tree/31dc9206
Diff: http://git-wip-us.apache.org/repos/asf/storm/diff/31dc9206

Branch: refs/heads/1.x-branch
Commit: 31dc9206d2f7566425df73cefc49136f732ad433
Parents: cd4f917
Author: Stig Rohde Døssing <s...@apache.org>
Authored: Wed Aug 9 01:32:24 2017 +0200
Committer: Jungtaek Lim <kabh...@gmail.com>
Committed: Wed Aug 9 20:58:23 2017 +0900

----------------------------------------------------------------------
 .travis.yml                                  | 3 +++
 integration-test/config/install-zookeeper.sh | 2 +-
 integration-test/run-it.sh                   | 3 ++-
 3 files changed, 6 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/storm/blob/31dc9206/.travis.yml
----------------------------------------------------------------------
diff --git a/.travis.yml b/.travis.yml
index f9149f4..d04c285 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -18,6 +18,9 @@ env:
   - MODULES='!storm-core'
   - MODULES='INTEGRATION-TEST'
 
+dist: trusty
+sudo: required
+
 language: java
 jdk:
   - oraclejdk7

http://git-wip-us.apache.org/repos/asf/storm/blob/31dc9206/integration-test/config/install-zookeeper.sh
----------------------------------------------------------------------
diff --git a/integration-test/config/install-zookeeper.sh 
b/integration-test/config/install-zookeeper.sh
index a81a07c..5f92f56 100644
--- a/integration-test/config/install-zookeeper.sh
+++ b/integration-test/config/install-zookeeper.sh
@@ -14,7 +14,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 #
-apt-get --yes install zookeeper=3.3.5* zookeeperd=3.3.5*
+apt-get --yes install zookeeper=$1 zookeeperd=$1
 service zookeeper stop
 echo maxClientCnxns=200 >> /etc/zookeeper/conf/zoo.cfg
 service zookeeper start

http://git-wip-us.apache.org/repos/asf/storm/blob/31dc9206/integration-test/run-it.sh
----------------------------------------------------------------------
diff --git a/integration-test/run-it.sh b/integration-test/run-it.sh
index 3194a92..eaed790 100755
--- a/integration-test/run-it.sh
+++ b/integration-test/run-it.sh
@@ -54,6 +54,7 @@ else
         ( cd "${STORM_SRC_DIR}/storm-dist/binary" && mvn clean package 
-Dgpg.skip=true )
     fi
     (( $(find "${STORM_SRC_DIR}/storm-dist/binary" -iname 'apache-storm*.zip' 
| wc -l) == 1 )) || die "expected exactly one zip file, did you run: cd 
${STORM_SRC_DIR}/storm-dist/binary && mvn clean package -Dgpg.skip=true"
+    zookeeper_version=3.4.5*
 fi
 
 storm_binary_zip=$(find "${STORM_SRC_DIR}/storm-dist" -iname '*.zip')
@@ -64,7 +65,7 @@ echo "Using storm version:" ${STORM_VERSION}
 # setup storm cluster
 list_storm_processes || true
 sudo bash "${SCRIPT_DIR}/config/common.sh"
-sudo bash "${SCRIPT_DIR}/config/install-zookeeper.sh"
+sudo bash "${SCRIPT_DIR}/config/install-zookeeper.sh" "$zookeeper_version"
 sudo bash "${SCRIPT_DIR}/config/install-storm.sh" "$storm_binary_zip"
 export JAVA_HOME="${JAVA_HOME}"
 env

Reply via email to